PVSECRET-RETRIEVE(1)

NAME
pvsecret-retrieve - Retrieve a secret from the UV secret store (s390x only)

SYNOPSIS
pvsecret retrieve [OPTIONS] <ID>
pvsecret retr [OPTIONS] <ID>

DESCRIPTION
Retrieve a secret from the UV secret store (s390x only). Retrieves a retrievable secret from the UV-storage of the guest by its ID. The ID may be provided as yaml file or as 32 byte hex-string. The secret is written as PEM file. For Plaintext secret PLAINTEXT SECRET is used as PEM name and for protected keys the PEM name IBM PROTECTED KEY is used.

OPTIONS

<ID>
    Specify the secret ID to be retrieved. Input type depends on --inform. If `yaml` (default) is specified, it must be a yaml created by the create subcommand of this tool. If `hex` is specified, it must be a hex 32-byte unsigned big endian number string. Leading zeros are required.

-o, --output <FILE>
    Specify the output path to place the secret value. [default: '-']

--inform <INFORM>
    Define input type for the Secret ID. [default: 'yaml'] Possible values:
        - yaml: Use a yaml file. - hex: Use a hex string. - name: Use a name-string. Will hash it if no secret with the name found.

--outform <OUTFORM>
    Define the output format for the retrieved secret. [default: 'pem'] Possible values:
        - pem: Write the secret as PEM. - bin: Write the secret in binary.

-h, --help
    Print help (see a summary with -h).

SEE ALSO

pvsecret(1)